Import sat file by API

Hi, Wisers,

I am a newer, and not familiar with the BricsCAD.
Recently, I wrote an extenal program to start the BricsCAD application, and then import automatically one sat file. However, after imported succeefuly , the model color is gray, and the scale of the model has also been reduced. Do you have any ideas, and I will appreciate for your help, thanks a lot.

the code snippet as shown below:

Dim sProID As String = "BricscadApp.AcadApplication.21.0"
Dim BrApp As BricscadApp.AcadApplication
Dim BrDoc As BricscadApp.AcadDocument
BrApp = CType(Activator.CreateInstance(Type.GetTypeFromProgID(sProID), True), AcadApplication)
BrApp.Visible = True
BrDoc = BrApp.ActiveDocument
Dim oSat As Object = BrDoc.Import("C:\test1.Sat", Nothing, 1)

Comments

  • The result of comparision between by API and by manual shown below